Get Transaction Details

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.lwolf.com/doc/transactiondesk-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "TransactionDesk API MCP server": {
    "url": "https://apidocs.lwolf.com/doc/transactiondesk-api/mcp"
  }
}

Close
GET /v2/transactions/{id}/details

Returns property details associated with a specified transaction file. Details are divided into three sections: property information, listing information, and sale/purchase information.

Path parameters

  • id string(uuid) Required

    TransactionGUID

Responses

  • 200 application/json

    Transaction details returned successfully

    Hide response attributes Show response attributes object
    • property object
      Hide property attributes Show property attributes object
      • streetName string
      • streetNumber string
      • state string
      • city string
      • county string
      • zipCode string
      • subDivision string
      • lotNumber string
      • block string
      • pageNumber string
      • platBook string
      • yearBuilt integer
      • schoolDistrict string
      • zoningClass string
      • taxNumber string
      • township string
      • legalDescription string
    • listing object
      Hide listing attributes Show listing attributes object
      • mlsNumber string
      • listPrice number
      • expirationDate string(date-time)
      • propertyIncludes string
      • propertyExcludes string
      • leasedItems string
    • purchase object
      Hide purchase attributes Show purchase attributes object
      • purchasePrice number
      • offerDate string(date-time)
      • offerExpirationDate string(date-time)
      • offerAcceptanceDate string(date-time)
      • applicationDate string(date-time)
      • approvalDate string(date-time)
      • depositAmount number
      • additionalDepositAmount number
      • additionalDepositDate string(date-time)
      • fundingDate string(date-time)
      • possessionDate string(date-time)
      • closingDate string(date-time)
  • 401 application/json

    Unauthorized

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
    • data
  • 404 application/json

    Transaction not found

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • details array
GET /v2/transactions/{id}/details
curl \
 --request GET 'https://api.pre.transactiondesk.com/v2/transactions/{id}/details' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "property": {
    "streetName": "Wellington Rd.",
    "streetNumber": "200",
    "state": "ON",
    "city": "London",
    "county": "Middlesex",
    "zipCode": "N6E 38B",
    "subDivision": "White Oaks",
    "lotNumber": "8",
    "block": "20",
    "pageNumber": "5",
    "platBook": "33",
    "yearBuilt": 1980,
    "schoolDistrict": "Aquinis School District",
    "zoningClass": "Residential",
    "taxNumber": "112-1231-999",
    "township": "Essex",
    "legalDescription": "PL ; Lot ; Bl ; DL ; LD ; S ; Twn ; Rge ; M ; Lot A, Section 75, Victoria District, Plan 42316"
  },
  "listing": {
    "mlsNumber": "421126",
    "listPrice": 200000,
    "expirationDate": "2012-04-23T18:25:43.51",
    "propertyIncludes": "Dishwasher, Stove, Fridge",
    "propertyExcludes": "Washer, Dryer",
    "leasedItems": "Hot Water Tank"
  },
  "purchase": {
    "purchasePrice": 190000,
    "offerDate": "2026-05-04T09:42:00Z",
    "offerExpirationDate": "2026-05-04T09:42:00Z",
    "offerAcceptanceDate": "2026-05-04T09:42:00Z",
    "applicationDate": "2026-05-04T09:42:00Z",
    "approvalDate": "2026-05-04T09:42:00Z",
    "depositAmount": 50000,
    "additionalDepositAmount": 10000,
    "additionalDepositDate": "2026-05-04T09:42:00Z",
    "fundingDate": "2026-05-04T09:42:00Z",
    "possessionDate": "2026-05-04T09:42:00Z",
    "closingDate": "2026-05-04T09:42:00Z"
  }
}
Response examples (401)
{
  "code": 401,
  "message": "Unauthorized. The user is not authenticated.",
  "details": []
}
Response examples (404)
{
  "code": 404,
  "message": "Item not found.",
  "details": []
}